% INITILAIZATION FOR ROBOT MODEL & TRACK SIMULATION

clear

% Simulation parameters:
Tf = 20; % final time
Ts = 1e-2; % step size
x0 = 0.7; % starting location global x
y0 = 1; % starting location global y
phi0 = -pi/2; % starting orientation

% System model:
r = 3.2e-2; % wheel radius
L = 17.4e-2; % distance between wheels
k = (37/30)/3000; % conversion from voltage code

% Sensor & track configuration:
load('bin/track') % contains pre-defined map grid and line sensor locations
LX = map.xs*size(map.array,2);
LY = map.ys*size(map.array,1);